// cacheEntry.h

#ifndef CACHE_ENTRY_H
#define CACHE_ENTRY_H

class CacheEntry {
  private:
    unsigned long lastRefresh; // s since 1970
    unsigned long lastRequest; // s since 1970
    unsigned long lastModified; // s since 1970
    unsigned long hash; 
    int size;
    CacheEntry * next;

  public:
    CacheEntry(unsigned long lastRefresh, unsigned long lastRequest, unsigned long lastModified, unsigned long hash, int size);
    unsigned long getLastRefresh();
    void setLastRefresh(unsigned long lastRefresh);
    unsigned long getLastRequest();
    void setLastRequest(unsigned long lastRequest);
    unsigned long getLastModified();
    void setLastModified(unsigned long lastModified);
    
    unsigned long getHash();
    int getSize();
    void setSize(int size);
    CacheEntry * getNext();
    void setNext(CacheEntry * next);
};

#endif

